Changelog
=========

9.9 - (2019-06-26)
------------------
* Feature: Fix jslint issues, fix pyflakes issues, fix i18n issues, update
  Jenkins testing pipelines, add in-situ testing, fix land tests, fix tags.
  [avoinea #106584]

9.8 - (2019-06-18)
------------------
* Improve: get rid of old solution for sentry logs.
  [GhitaB #103818]

9.7 - (2019-06-14)
------------------
* Fix: hide navbar on map fullscreen mode - landitem view.
  [GhitaB #105524]

9.6 - (2019-06-06)
------------------
* Fix: external templates, to solve js errors.
  [GhitaB #99788]

9.5 - (2019-06-05)
------------------
* Improve: Sort items by Product family in Technical library view.
  [GhitaB #106490]
* Improve: update text, remove Please note... in download land files template.
  [GhitaB #106474]

9.4 - (2019-05-24)
------------------
* Fix: issue of out-dated download archives.
  [david-batranu #105690]

9.3 - (2019-05-07)
------------------
* Feature: Add new state archived in workflow.
* Fix: Get rid of unused state restricted in workflow.
  [GhitaB #99788]

9.2 - (2019-04-25)
------------------
* Improve: Add site (SERVER_NAME) in sentry script.
  [GhitaB #103818]

9.1 - (2019-04-23)
------------------
* Fix: server name value definition in sentry viewlet.
  [GhitaB #103818]

9.0 - (2019-04-22)
------------------
* Improve: environment definition to use rancher stack name and environment
  name.
  [GhitaB #103818]

8.9 - (2019-04-19)
------------------
* Fix: raven configuration. Add user in sentry logs.
  [GhitaB #103818]

8.8 - (2019-04-17)
------------------
* Improve: Use app version instead of KGS if set.
* Improve: Add server_name tag for sentry logs.
  [GhitaB #103818]

8.7 - (2019-04-17)
------------------
* Improve: Get rid of CDN usage for raven script. Improve script.
  [GhitaB #103818]

8.6 - (2019-04-16)
------------------
* Improve: sentry configuration by adding new tags.
  [GhitaB #103818]

8.5 - (2019-04-15)
------------------
* Fix: Force empty metadata file.
  [david-batranu #104987]
* Fix: UnicodeDecodeError WIP solution.
  [GhitaB #104065]

8.4 - (2019-04-12)
------------------
* Fix: solve missing email in csv export for EIONET accounts.
* Use fullname when first_name and last_name are not filled in.
  [GhitaB #104065]
* Fix: Re-enable email notifications on account deletion.
  [GhitaB #103555]

8.3 - (2019-04-11)
------------------
* Fix: Improve script for deleting unused accounts.
* Fix: Temporarily disable email notifications on account deletion.
  [GhitaB #103555]

8.2 - (2019-04-10)
------------------
* Fix: Remove template override related to new search feature, in order to make
  production deploy possible keeping old search.
  [GhitaB #99788]

8.1 - (2019-04-09)
------------------
* Feature: Add ForcePingCRView.
  [GhitaB #99788]

8.0 - (2019-04-04)
------------------
* Improve: Users statistics - update text.
  [GhitaB #104065]

7.9 - (2019-04-03)
------------------
* Feature: Users statistics - add option to export users list (who gave consent
  for email notifications).
  [GhitaB #104065]
* Fix: Re-add Products.CMFPlone.skins.plone_deprecated.search.pt override.
  [GhitaB #99788]

7.8 - (2019-03-18)
------------------
* Fix: encoding problem in upgrade step logs.
  [GhitaB #102884]

7.7 - (2019-03-15)
------------------
* Fix: update country names in landitem - fileCategories - Country.
* Fix: force show North Macedonia instead of Macedonia (used by open street
  map), in Metadata tab of landitems.
  [GhitaB #102884]

7.6 - (2019-03-08)
------------------
* Fix: Override template, force plone.app.changeownership to work for our case.
  Related to: https://github.com/collective/plone.app.changeownership/issues/4
  For future usage, a newer (fixed) version of plone.app.changeownership will
  be used + delete our custom template, or just edit our custom template to
  solve a particular case at a time.
  [GhitaB #103611]
* Fix: Coverage widget to use Czechia and North Macedonia.
* Fix: update geotags registry to update changed country names.
  [GhitaB #102884]

7.5 - (2019-03-06)
------------------
* Fix: Don't allow duplicate file names (in landfiles download).
  [david-batranu #103428]
* Improve: Text update - add case of landfiles.
  [GhitaB #102884]
* Feature: /users_clean - a tool to get details about accounts (by emails)
  and delete inactive user accounts.
  [GhitaB #101742]
* Improve: Added old search page override to redirect to new search
* Improve: Use creation date for objects tagged by IATBlob interface at rdf
  export + upgrade step to trigger pingcr mass ping for objects
  [iulianpetchesi #99788]

7.4 - (2019-03-04)
------------------
* Fix: update allowed types for Files Library item in order to make old content
  cut / paste possible.
  [GhitaB #96683]
* Improve: customize page title in set notifications view and improve spacing.
  [GhitaB #101742]
* Feature: text_update tool - helper for updating country names etc.
  [GhitaB #102884]

7.3 - (2019-02-27)
------------------
* Fix: bug on selecting accounts to be notified (disclaimer_permission == None
  means False, too).
  [GhitaB #101742]

7.2 - (2019-02-26)
------------------
* Improve: shorter subject in email notifications.
* Improve: use a form for setting user preferences related to notifications.
  [GhitaB #101742]

7.1 - (2019-02-25)
------------------
* Feature: homepage / coming events - to include eea.meetings objects
  [GhitaB #103043]

7.0 - (2019-02-21)
------------------
* Improve: Add min and max values for From and To fields in meeting edit form.
* Improve: update text for account deletion option in meeting register form.
* Fix: remove comma after Hello in meeting register.
  [GhitaB #97529]

6.9 - (2019-02-18)
------------------
* Improve: add more space under the table in files library item view.
* Improve: add Show all option to disable search filters (admin and view).
* Improve: space between filters and table.
* Fix: floating problem when filters are on two lines.
  [GhitaB #96683]

6.8 - (2019-02-13)
------------------
* Improve: Use creation date for files at rdf export + upgrade step
  to trigger pingcr mass ping for objects that are files
  [iulianpetchesi #99788]
* Improve: Disable sorting and searching for column Document access in files
  library view and admin panel.
* Improve: Add link and more info on search items in files library view.
  [GhitaB #96683]
* Improve: 'Registration declined' instead of rejected in meeting view.
* Improve: rename column Time of application in Subscribers view table.
* Improve: space in meeting register, after Hello.
* Improve: replace 'event organisers' with 'the event organiser'.
* Improve: replace 'register to' with 'register for'.
  [GhitaB #97529]

6.7 - (2019-02-05)
------------------
* Improve: change info text based on context in meeting registration form.
  Improve: hide Role in case of webinar in meeting registration form and
  subscribers table.
  [GhitaB #97529]
* Feature: invisible columns, editable by admin but unpublished for users.
  [GhitaB #99878]
* Improve: rename column Document access in admin panel.
  Improve: use Link text for files, too, in admin panel.
  Improve: move filters before table.
  Improve: the same changes for view mode.
  [GhitaB #99878]
* Feature: script for contacting users by email to update email
  notifications preferences - profiles of old accounts.
  Manual step: In: /manage_propertiesForm set
  users_email_notifications_enabled Boolean checked
  users_email_notifications_secret_key String value_here
  users_email_notifications_users_unit Int value_here
  [GhitaB #101742]

6.6 - (2019-01-30)
------------------
* Improve: In meeting register, improve disclaimers fields styles.
  [GhitaB #101958]
* Feature: WIP script for contacting users by email to update email
  notifications preferences - profiles of old accounts.
  [GhitaB #101742]

6.5 - (2019-01-29)
------------------
* Improve: script for deleting subscribers data to delete accounts if marked.
  Improve: Subscribers view - update text for account deletion.
  [GhitaB #102026]
* Improve: section of E-pass related fields, rename Parking field, improve texts
  and behaviour for deleting account field in meeting registration form.
  [GhitaB #101958]
* Improve: meeting register form validation - accept '+' char in phone numbers.
  [GhitaB #97529]

6.4 - (2019-01-22)
------------------
* Feature: Files library item view - simple implementation useing dataTables.
  [GhitaB #99878]
* Feature: files uploader for files library item administration.
  [GhitaB #99877]
* Improve: Add action link 'Files library administration'.
  [GhitaB #99875]
* Feature: Implement administration panel for files library item.
  [GhitaB #99876]
* Improve: Clear unused GA code, update names to matomo.
  [GhitaB #100472]

6.3 - (2018-12-17)
------------------
* Fix: typo webminar -> webinar.
* Improve: Update text for hide additional materials.
* Fix: Don't show location in meeting register if webinar.
* Fix: Spacing and responsivity in meeting registration page.
* Improve: Update welcome text in meeting register.
* Improve: left align fields in meeting register.
* Improve: remove not important form help texts in meeting register.
* Improve: fields spacing in meeting register.
* Improve: update register button text in meeting register.
* Improve: cancel link text and buttons spacing in meeting register.
* Improve: add validation for phone numbers fields in meeting register.
* Improve: update info text after registration sent in meeting register.
* Improve: update return to event link text in meeting register.
* Improve: replace URLs in info text with 'this website' in meeting register.
* Improve: update text for cancel link and fix center align.
* Improve: create account position in meeting register for different screens.
* Improve: meeting form for creating new account by removing not important
  form help texts and improving layout spacing.
* Improve: Subscribers view - capitalize stubscriber status; Yes / No - values
  for request data deletion; rename Registration request time stamp column;
  update text for back to event btn.
* Fix: keep came_from value when redirected to @@personal-information form.
* Improve: redirect to came_from in case user is logged in from a meeting view
  with a new account, after the profile settings are saved.
  [GhitaB #97529]

6.2 - (2018-12-11)
------------------
* No changes. It just happened. :)

6.1 - (2018-12-11)
------------------
* Improve: items listing in meeting view by case public vs workspace.
  [GhitaB #97529]
* Fix: Remove old unused solution for downloading land files.
  [GhitaB #100472]

6.0 - (2018-12-05)
------------------
* Improve: add new column Request data deletion in subscribers view.
  [GhitaB #99958]
* Fix: js error for loading message in map view of landitems.
  [GhitaB #99772]
* Feature: Add matomo custom event on landfile download.
  [GhitaB #100472]
* Feature: Added external templates for land.copernicus search
  [iulianpetchesi #99788]
* Improve: Update text for closed registration case in meeting view.
* Improve: update disclaimer field label in meeting register.
* Feature: add new field request_data_deletion for subscribers.
  [GhitaB #97529]

5.9 - (2018-11-26)
------------------
* Improve: Add captcha field in meeting register form.
  Manual step: activate Captcha widget 1.0.3.
  [GhitaB #99957]

5.8 - (2018-11-26)
------------------
* Improve: Get rid of Google reCAPTCHA.
  Manual step: deactivate recaptcha add-ons before deploy.
  [GhitaB #99944]

5.7 - (2018-11-21)
------------------
* Improve: add 'E-pass is required' field to meeting schema. Add allow From, To
  fields to meeting schema.
  [GhitaB #99956]
* Improve: Update text on registration sent. Change text label for Role field
  and define its possible values. Get rid of Visa and Reimbursed fields.
  Update form (texts, styles), add disclaimer. Add script for deleting old
  subscribers data. Prefill meeting registration form with account existing
  details. Update titles and descriptions for all forms that are using fields
  related to meeting registration. Adapt meeting signup to new added fields.
  Update subscriber view template to include new fields and updated texts.
  [GhitaB #99957]
* Improve: Subscribers list - add excel.js customization. Update Subscribers
  table. Add new columns for new fields values, make table optional columns
  for E-pass related fields.
  [GhitaB #99958]

5.6 - (2018-11-06)
------------------
* Subscribers view - multiple changes                                     (WIP)
  [GhitaB #99958]
* Meeting view - multiple changes                                         (WIP)
  [GhitaB #99955]
* Meeting edit - multiple changes                                         (WIP)
  [GhitaB #99956]
* Fix: user profiles for 'Energy, Utilities and Industrial Infrastructure'
  value in thematic_domain. Rename key in vocabulary for this term, too.
  [GhitaB #99886]
* Feature: add FilesLibraryItem content type.                             (WIP)
  [GhitaB #99875]
* Feature: Implement application for view mode                            (WIP)
  [GhitaB #99878]
* Feature: Implement administration panel for FilesLibraryItem.           (WIP)
  [GhitaB #99876]
* Fix: add missing datatables images.
  [GhitaB #99730]

5.5 - (2018-10-08)
------------------
* Feature: Copy and adapt eea.meeting features and overrides from
  eni.seis.content.
  Manual step: make sure validate_email is checked in /manage_propertiesForm.
  [GhitaB #97529]

5.4 - (2018-10-02)
------------------
* Feature: Add Matomo traking custom download event & custom dimensions.  (WIP)
  [GhitaB #98853]
* Fix: Clean portal_transforms BROKEN items defined by unused Ploneboard.
  [GhitaB #97529]
* Feature: Adapt eea.meeting basic features.
  Manual step: add meetings_table_view as display option for folders.
  [GhitaB #97529]

5.3 - (2018-09-21)
------------------
* Fix: Get rid of unused Ploneboard (with python-dateutil<2.0dev version
  constraint) to make possible KGS update.
  [GhitaB #98613]

5.2 - (2018-09-20)
------------------
* Fix: Monkey patch - add a placeholder of missing IDataGridFieldLayer in older
  version of collective.z3cform.datagridfield in order to solve PicklingError
  on activate/deactivate add-ons in demo website.
  [GhitaB #98613]
* Fix: Make sure Global Image Mosaics is working in album view.
  [GhitaB #98234]

5.1 - (2018-09-13)
------------------
* Improve: use reCAPTCHA (from Google) for register and contact forms.
  Manual step: get private and public keys for reCAPTCHA v2
  https://www.google.com/recaptcha/ and configure @@recaptcha-settings
  after activating recaptcha add-ons.
  [GhitaB #98066]

5.0 - (2018-09-06)
------------------
* Feature: add .maintenance script to generate csv file containing aliases,
  when we want to move the contents of a folder to a new location.
  [GhitaB #98233]

4.9 - (2018-07-13)
------------------
* Fix: update eea.geotags registry with values we have in production website
  (country groups, biotags). See script in docs for exporting values.
  [GhitaB #95147]

4.8 - (2018-07-12)
------------------
* Improve: get rid of customization of eea.geotags template in order to use
  Open Street Map support recently implemented.
  Manual step: clear google maps key in site/manage_propertiesForm
  Manual step: delete customization of eea.geotags.js in portal_skins/custom.
  Manual step: create geonames.org account and use it in @@geotags-controlpanel
  [GhitaB #95147]
* Improve: Add info text in landitem view for registering account.
  [GhitaB #96128]

4.7 - (2018-06-27)
------------------
* Feature: Multiple improvements related to login, register, password reset,
  terms of use, personal settings sections. Add disclaimer_permission field
  for user memberdata used in register form and personal settings.
  Update email notifications templates.
  [GhitaB #96522]
* Improve: Landitem view/Download - Use button for login.
* Improve: Landitem view - Hide unused tabs. Metadata tab as default when no
  iframe and landfiles.
  [GhitaB #96128]

4.6 - (2018-06-15)
------------------
* Fix: Fix response headers for fonts files in order to fix IE bug for icons.
  [GhitaB #95088]

4.5 - (2018-05-31)
------------------
* Fix: Prevent error when uploaded file is empty in Admin land files.
  [GhitaB #95890]
* Fix: Prevent non-ascii error in user profile information form.
  [GhitaB #95900]

4.4 - (2018-05-22)
------------------
* Improve: homepage - show 4 news instead of 3.
  [GhitaB #95161]
* Fix: add validation in Register for domains (at least one checked).
  [GhitaB #95169]
* Fix: solve error for non-ascii chars in geotags (metadata tab of landitems).
  [GhitaB #94900]

4.3 - (2018-04-18)
------------------
* Improve: landitem view - use Download tab as default when map view is empty.
* Improve: homepage layout, add news carousel.
  [GhitaB #94690]
* Fix typo in field description.
  [GhitaB #92357]
* Fix js error in landitem view when map is missing.
  [GhitaB #93957]

4.2 - (2018-03-13)
------------------
* Improve: display geotags in metadata tab of landitem view.
  [GhitaB #90603]

4.1 - (2018-03-08)
------------------
* Fix: Register - fix errors generated by wrong template override.
  [GhitaB #92752]

4.0 - (2018-03-06)
------------------
* Feature: Use eea.geotags field for landitems. Initialize field value with
  existing selected countries geographic coverage.
  [GhitaB #90603]
* Feature: Add captcha field in register form.
  [GhitaB #92752]
* Feature: Register - override message template adding "Please ignore..." text.
  [GhitaB #92752]
* Fix: Landitem view - larger icons for map fullscreen mode.
  [GhitaB #92986]
* Fix: Multiple log errors regarding async land file downloads
  [batradav #93407]
* Fix: N/A Size for recently uploaded land files
  [batradav #92039]

3.9 - (2018-02-16)
------------------
* Landitem view - icons for map fullscreen mode.
  [GhitaB #92986]

3.8 - (2018-02-05)
------------------
* Feature: High performance land files - improvements and tests.
  [batradav #90628]

3.7 - (2018-01-30)
------------------
* Fix monthly reports values by including end date in report's period.
  [GhitaB #90919]

3.6 - (2018-01-25)
------------------
* Optimize users statistics scripts to skip LDAP.
  [batradav #90919]
* Improve users statistics administration page.
  [GhitaB #90919]

3.5 - (2018-01-23)
------------------
* Feature: High performance land files.
  [batradav #90628]
* Feature: Sentry logging
  [boteziri #87458]

3.4 - (2018-01-18)
------------------
* Feature: Notify user on deleting his account.
  [GhitaB #91704]

3.3 - (2017-12-20)
------------------
* Use special configure.zcml file from eea.rdfmarshaller to activate
  license widget

3.2 - (2017-12-18)
------------------
* Tweak eea.rdfmarshaller required version
  [tiberich]

3.1 - (2017-12-15)
------------------
* Feature: Users Statistics
  [GhitaB #90561]
* Feature: added LandItem dcterms:description override when description is
  missing
  [tiberich #90546]

3.0 - (2017-12-11)
------------------
* Feature: fullscreen mode for map iframe in landitem view
* Update: Land item view: Change back to Map view as default selected tab.
  [GhitaB #90422 #90655]

2.10 - (2017-12-07)
------------------
* Improve login and reset password pages with info for EIONET members
  [GhitaB #90575]

2.9 - (2017-11-23)
------------------
* Fix: Empty zip files. Smarter checks when deciding to build or not.
  [batradav #90046]

2.8 - (2017-11-21)
------------------
* Fix: non-validated content tag
* Fix: download event with section name instead of filename
* Fix: "select all" checkbox only for searched content, if active search
* Update: move "login" message above table, strong and centered
  [batradav #89915 #90054 #89982]

2.7 - (2017-11-17)
------------------
* Fix: pre-fill search fields if "selected:list" GET param is present.
  [batradav #89774]

2.6 - (2017-11-16)
------------------
* Fix: send selected land files in POST.
* Fix: automatically check land files passed in "selected:list" GET param.
* Fix: "download" tab as default view for land item.
  [batradav #89774]

2.5 - (2017-11-01)
------------------
* Release land downloads and performance improvements.
  [batradav #88377 #88278]

2.5rc7 - (2017-10-16)
---------------------
* Fix: disable download button if "non-validated" checkbox is unchecked.
* Update: download ready email template.
* Fix: grab download files according to Land File URL, relative to `src` dir.
  [batradav #88377]

2.5rc6 - (2017-10-12)
---------------------
* Fix: _delayed_read_metadata for everything but _download_executor.
* Fix: email notifications and addressing users by name.
  [batradav #88377]

2.5rc5 - (2017-10-10)
---------------------
* Fix: Retry counter for _read_metadata - increasing wait time.
  [batradav #88377]

2.5rc4 - (2017-10-10)
---------------------
* Fix: Retry counter for _read_metadata.
  [batradav #88377]

2.5rc3 - (2017-10-09)
---------------------
* Feature: Fix GA tracking and non-validated check.
  [batradav #88377]

2.5rc2 - (2017-10-06)
---------------------
* Feature: async download of Land files - improvements.
  [batradav #88377]

2.5rc1 - (2017-10-04)
---------------------
* Feature: async download of Land files.
  [batradav #88377]

2.4 - (2016-08-08)
------------------
* Features and fixes:
  - Login, logout, Download land files tab beahviour, Terms of Use
      Download, Metadata tabs, added Access and Use Constraints fields,
      Added Terms of Use pop-up, Detalied Metadata, fix Show only published land files,
      Added isValidatedDataset field to schema, Splitted fullname in first_name and last_name,
      Implement Download tab behaviour, Login page updates, error for broken land file url,
      custom text label for not validated datasets
      other fixes
      [GhitaB refs #24611, #24186, #24843, #24844, #24611, #24188, #25147, #25146, #25173, #25178,
       #25198, #25175, #25232, #25255, #25251, #25229, #25387, #25462, #25677, #25690, #25690,
       #25690, #25742, #26562, #26314, #25732, #26950, #27390, #27389, #27445, #27447, #27558,
       #28075, #28080, #28272, #29190, etc.]
  - Eagle section
      User menu links, EAGLE contact form, Plone Help Center used for EAGLE manual, Forum
      [GhitaB refs #25735, #25727, #26806, #26950, #27826, #27898, etc.]
* Bug fix: [Jenkins] Updated install requires.
  [GhitaB refs #28876]
* Feature: Changed widget for thematic_domain and institutional_domain to
  MultiCheckBoxVocabularyWidget
  [olimpiurob refs #24190]
* Feature: Added LDAP specific properties to local users
  [olimpiurob refs #24190]
* Upgrade step: (manual) Enable user registration in @@security-controlpanel. Tick
  Enable self-registration, Let users select their own passwords and Use email address as login name
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for land.copernicus.content
* Feature: Added thematic_domain and institutional_domain extra properties to users
  [olimpiurob refs #24190]
* Feature: Added Copernicus Publication Workflow
  [olimpiurob refs #24190]

2.3 - (2015-03-24)
------------------
* Bug fix: Fixed issue with ATBlobModifier which caused errors when saving/adding
  files
  [olimpiurob refs #24157]

2.2 - (2015-03-18)
------------------
* Bug fix: IATBlob can be implemented by Files, not just Images. Avoid error
  when fiddling schema
  [tiberich #24102]

2.1 - (2015-03-16)
------------------
* Bug fix: use a ISchemaModifier instead of ISchemaExtender to change label for
  the ATBlob content type
  [tiberich #23775]
* Change: Switched to curl in the jenkins build install script
  [olimpiurob refs #22402]
* Change: Changed fetch url for jenkins build install script to the install
  script from the main EEA CPB repository
  [olimpiurob refs #22402]

2.0 - (2015-02-25)
----------------------
* Change: remove Map view, metadata, web services, download and legend tab from
  land items
  [tiberich #23184]
* Bug fix: Updated Manifest file
  [olimpiurob]

1.9 - (2014-09-16)
------------------
* Bug fix: Added Wand in setup.py as a dependency
  [olimpiurob]

1.8 - (2014-05-26)
------------------

1.7 - (2013-12-09)
------------------
* Bug fix: fixed embedding parsing errors when the embed code contains
  multiple sibblings.
  [olimpiurob #17693]
* Feature: added doctests for our content types and our overview page
  [olimpiurob #17345]

1.6 - (2013-11-21)
------------------
* Feature: added configlet for @@overview page
  [robaaoli #17440]
* Feature: added landitems administrative @@overview page
  [robaaoli #17440]

1.5 - (2013-11-14)
------------------
* Bug fix: don't hardcode width, instead set the class=widen
  to the embeded iframes
  [tiberich #17266]

1.4 - (2013-11-12)
------------------
* Feature: show a loading icon before loading the map
  [tiberich #17338]

1.3 - (2013-11-08)
------------------
* Bug fix: reconfigure iframe width to make the wider
  [tiberich #17266]
* Bug fix: only set width/height if embeding an iframe
  [tiberich #17266]

1.2 - (2013-11-08)
------------------
* Bug fix: make the displayed embeded maps larger
  [tiberich #17266]

1.1 - (2013-11-05)
------------------
* Feature: Added legend field to the LandItem content type
  [tiberiu #16962]

1.0  - (initial release)
------------------------
* Initial release

